// make debian packages for go applications
package main

import (
	"go.wit.com/gui"
	"go.wit.com/lib/debugger"
	"go.wit.com/lib/gadgets"
	"go.wit.com/log"
)

// This is the beginning of the binary tree of GUI widgets
var myGui *gui.Node

// this is the primary window. If you close it, the program will exit
// var mainWindow *gui.Node

// this is a basic window. the user can open and close it
var basicWindow *gadgets.BasicWindow

func main() {
	if debugger.ArgDebug() {
		log.SetAll(true)
		log.ShowFlags()
	}
	if args.TmpLog {
		// send all log() output to a file in /tmp
		log.SetTmp()
	}
	myGui = gui.New()
	myGui.Default()

	// helloworld()
	basicWindow = makebasicWindow()

	if args.OpenGui {
		basicWindow.Show()
		// go will sit here until the window exits
		gui.Watchdog()
	}

	// run the debugger if triggered from the commandline
	if debugger.ArgDebug() {
		go func() {
			log.Sleep(2)
			debugger.DebugWindow()
		}()
	}
}

/*
// This initializes the first window and some widgets
func helloworld() {
	mainWindow = myGui.NewWindow("Debian Package Creater for GO Language Applicatiosn").SetProgName("BASEWIN")

	box := mainWindow.NewBox("hbox", true)
	// section1 = newChoices(box)

	group := box.NewGroup("control file")
	group.NewButton("show basic window", func() {
		if basicWindow.Hidden() {
			basicWindow.Show()
		} else {
			basicWindow.Hide()
		}
	})
}
*/
